Subject: bug#20499: bug#16082: bug#20499: [PROPOSED PATCH] C-x 8 shorthands for curved quotes, Euro, etc.

From: Ivan Shmakov <[email-masked]>
Date: Mon, 04 May 2015 16:12:28 +0000

>>>>> Eli Zaretskii <[email-masked]> writes:
>>>>> From: Ivan Shmakov  Date: Mon, 04 May 2015 15:20:56 +0000

[…]

 >> I tend to agree with that, but is there currently an easy way to
 >> switch between /two/ input methods?

 > I simply use "C-u C-\".

	Given that I edit texts which may be deemed bilingual (Russian
	prose interspersed with source code or command line examples)
	not just occasionally, /and/ need C-s, C-r at that, – no,
	I don’t think it’d work all that well for me.

 > Granted, if every 2nd character you type is U+2018, switching input
 > methods is gonna hurt.

	It’s not that bad, but still; consider, e. g.:

«Ты пророк», вскричал я, «вещий! Птица ты иль дух зловещий,
Этим Небом, что над нами — Богом скрытым навсегда —
Заклинаю, умоляя, мне сказать, — в пределах Рая
Мне откроется ль святая, что средь ангелов всегда,
Та, которую Ленорой в небесах зовут всегда?»
    Каркнул Ворон: «Никогда».

	Nine such characters per 43 words.

 > But that's not what happens normally, at least not to me, and you
 > save those Alt-[ etc. for more useful tasks.

	My ‘Alt’ is ‘Meta’ most of the time, so it’s rather C-x 8 [,
	C-x 8 ], etc. for me, and reserving that for typography isn’t
	really a big deal.

-- 
FSF associate member #7257  http://am-1.org/~ivan/      … 3013 B6A0 230E 334A